const express = require('express');
const router = express.Router();
const authController = require('../controllers/authController');

// เส้นทางสำหรับการแสดงหน้า login
router.get('/login', authController.loginPage);

// เส้นทางสำหรับการเข้าสู่ระบบ
router.post('/login', authController.login);

// เส้นทางสำหรับการแสดงหน้า register
router.get('/register', authController.registerPage);

// เส้นทางสำหรับการสมัครสมาชิก
router.post('/register', authController.register);

// เส้นทางสำหรับการ logout
router.get('/logout', authController.logout); // เพิ่มเส้นทางนี้

module.exports = router;
