// models/authModel.js
const bcrypt = require('bcryptjs');
const db = require('../config/db');

// ฟังก์ชันสำหรับการตรวจสอบผู้ใช้
exports.findUserByUsername = (username, callback) => {
  const query = 'SELECT * FROM users WHERE username = ?';
  db.query(query, [username], callback);
};

// ฟังก์ชันสำหรับการเพิ่มผู้ใช้
exports.createUser = (username, hashedPassword, callback) => {
  const query = 'INSERT INTO users (username, password) VALUES (?, ?)';
  db.query(query, [username, hashedPassword], callback);
};
